Open CASCADE Technology: Graphic3d_AspectLine3d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Graphic3d_AspectLine3d Class Reference

Creates and updates a group of attributes for 3d line primitives. This group contains the colour, the type of line, and its thickness. More...

`#include <Graphic3d_AspectLine3d.hxx>`

Inheritance diagram for Graphic3d_AspectLine3d:
[legend]

## Public Member Functions
| Graphic3d_AspectLine3d ()
| Creates a context table for line primitives defined with the following default values: More...
| Graphic3d_AspectLine3d (const Quantity_Color &AColor, const Aspect_TypeOfLine AType, const Standard_Real AWidth)
| Creates a context table for line primitives defined with the specified values. Warning: <AWidth> is the "linewidth scale factor". The nominal line width is 1 pixel. The width of the line is determined by applying the linewidth scale factor to this nominal line width. The supported linewidths vary by 1-pixel units. More...
void | SetShaderProgram (const Handle< Graphic3d_ShaderProgram > &theProgram)
| Sets up OpenGL/GLSL shader program. More...
const Handle< Graphic3d_ShaderProgram > & | ShaderProgram () const
Public Member Functions inherited from Aspect_AspectLine
void | SetColor (const Quantity_Color &AColor)
| Modifies the colour of <me>. More...
void | SetType (const Aspect_TypeOfLine AType)
| Modifies the type of <me>. More...
void | SetWidth (const Standard_Real AWidth)
| Modifies the thickness of <me>. Category: Methods to modify the class definition Warning: Raises AspectLineDefinitionError if the width is a negative value. More...
void | Values (Quantity_Color &AColor, Aspect_TypeOfLine &AType, Standard_Real &AWidth) const
| Returns the current values of the group <me>. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Aspect_AspectLine
| Aspect_AspectLine ()
| Initialise the constructor for Graphic3d_AspectLine3d. More...
| Aspect_AspectLine (const Quantity_Color &AColor, const Aspect_TypeOfLine AType, const Standard_Real AWidth)
| Initialise the values for the constructor of Graphic3d_AspectLine3d. More...

## Detailed Description

Creates and updates a group of attributes for 3d line primitives. This group contains the colour, the type of line, and its thickness.

## Constructor & Destructor Documentation

Graphic3d_AspectLine3d::Graphic3d_AspectLine3d | ( |  | ) |

Creates a context table for line primitives defined with the following default values:

Colour : NOC_YELLOW Line type : TOL_SOLID Width : 1.0

Graphic3d_AspectLine3d::Graphic3d_AspectLine3d | ( | const Quantity_Color & | AColor,
|  | const Aspect_TypeOfLine | AType,
|  | const Standard_Real | AWidth
| ) |  |

Creates a context table for line primitives defined with the specified values. Warning: <AWidth> is the "linewidth scale factor". The nominal line width is 1 pixel. The width of the line is determined by applying the linewidth scale factor to this nominal line width. The supported linewidths vary by 1-pixel units.

## Member Function Documentation

void Graphic3d_AspectLine3d::SetShaderProgram | ( | const Handle< Graphic3d_ShaderProgram > & | theProgram | ) |

Sets up OpenGL/GLSL shader program.

const Handle< Graphic3d_ShaderProgram >& Graphic3d_AspectLine3d::ShaderProgram | ( |  | ) | const

The documentation for this class was generated from the following file:

- Graphic3d_AspectLine3d.hxx